package com.dcsoft.system.domain;

import com.dcsoft.common.core.annotation.Excel;
import com.dcsoft.common.core.web.domain.BaseEntity;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnore;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.io.File;
import java.util.Date;

/**
 * 人员管理对象 sys_people
 *
 * @author nichun
 * @date 2023-03-08
 */
public class SysPeople extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /**
     * 微信openid
     * **/
    private String openid;

    /** 人员Id */
    private Long id;

    /** 人员名称 */
    @Excel(name = "人员名称",sort = 2)
    private String name;

    /** 联系电话 */
    @Excel(name = "联系电话",sort = 3)
    private String phone;

    /** 用户性别（0男 1女 2保密） */
    @Excel(name = "用户性别", readConverterExp = "0=男,1=女,2=保密",sort = 4)
    private String sex;

    /** 头像地址 */
    private String avatar;

    /** 所在部门 */
    private String branchId;

    @Excel(name = "所在部门",sort = 5)
    private String branchName;

    /** 职位标签 */
    @Excel(name = "职位标签",sort = 6)
    private String position;

    /** 身份证号码 */
    @Excel(name = "身份证号码",sort = 7)
    private String idcard;

    /** 车牌号码 */
    private String carNo;

    /** 门卡号码 */
    @Excel(name = "卡号",sort = 8)
    private String doorNo;

    /** 人员编号对接 */
    private String guid;

    /** 人像对接 */
    private String faceGuid;

    /** 关联用户 */
    private Long userId;

    /** 删除标志(0正常 1删除) */
    private Long delFlag;

    private SysBranch branch;

    /** 工号 */
    @Excel(name = "工号",sort = 1)
    String gh;



    /**入职时间**/
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "入职时间", width = 30, dateFormat = "yyyy-MM-dd",sort = 9)
    private Date joinTime;

    private Long down;

    private String downFlag;

    private String guidFlag;

    private String faceFlag;

    private String pageNum;

    private String sequence;

    private String cardFlag;

    private Long ruleId;

    private Long branchParent;

    private String serialNumber;

    private String wxFlag;
    private String xfFlag;

    private Double czje;

    private Double btje;

    private String[] ids;

    /**充值方式  现金/支付宝/微信/网银 **/
    private String rechargeMode;

    @Excel(name = "是否消费", readConverterExp = "0=否,1=是",sort = 7)
    private String isConsume;




    private String khFlag;

    private String type;

    /** 岗位组 */
    private Long[] postIds;

    private String consumeType;/**个人或部公共账号 **/

    @JsonIgnore
    private File file;

    private String qwid;

    public String getWxFlag() {
        return wxFlag;
    }

    public void setWxFlag(String wxFlag) {
        this.wxFlag = wxFlag;
    }

    public String getOpenid() {
        return openid;
    }

    public void setOpenid(String openid) {
        this.openid = openid;
    }

    public String getSerialNumber() {
        return serialNumber;
    }

    public void setSerialNumber(String serialNumber) {
        this.serialNumber = serialNumber;
    }

    public Long getRuleId() {
        return ruleId;
    }

    public void setRuleId(Long ruleId) {
        this.ruleId = ruleId;
    }

    public String getCardFlag() {
        return cardFlag;
    }

    public void setCardFlag(String cardFlag) {
        this.cardFlag = cardFlag;
    }

    public String getSequence() {
        return sequence;
    }

    public void setSequence(String sequence) {
        this.sequence = sequence;
    }

    public String getPageNum() {
        return pageNum;
    }

    public void setPageNum(String pageNum) {
        this.pageNum = pageNum;
    }

    public SysBranch getBranch() {
        return branch;
    }

    public void setBranch(SysBranch branch) {
        this.branch = branch;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setName(String name)
    {
        this.name = name;
    }

    public String getName()
    {
        return name;
    }
    public void setPhone(String phone)
    {
        this.phone = phone;
    }

    public String getPhone()
    {
        return phone;
    }
    public void setSex(String sex)
    {
        this.sex = sex;
    }

    public String getSex()
    {
        return sex;
    }
    public void setAvatar(String avatar)
    {
        this.avatar = avatar;
    }

    public String getAvatar()
    {
        return avatar;
    }
    public void setBranchId(String branchId)
    {
        this.branchId = branchId;
    }

    public String getBranchId()
    {
        return branchId;
    }
    public void setPosition(String position)
    {
        this.position = position;
    }

    public String getPosition()
    {
        return position;
    }
    public void setIdcard(String idcard)
    {
        this.idcard = idcard;
    }

    public String getIdcard()
    {
        return idcard;
    }
    public void setCarNo(String carNo)
    {
        this.carNo = carNo;
    }

    public String getCarNo()
    {
        return carNo;
    }
    public void setDoorNo(String doorNo)
    {
        this.doorNo = doorNo;
    }

    public String getDoorNo()
    {
        return doorNo;
    }
    public void setGuid(String guid)
    {
        this.guid = guid;
    }

    public String getGuid()
    {
        return guid;
    }
    public void setFaceGuid(String faceGuid)
    {
        this.faceGuid = faceGuid;
    }

    public String getFaceGuid()
    {
        return faceGuid;
    }
    public void setUserId(Long userId)
    {
        this.userId = userId;
    }

    public Long getUserId()
    {
        return userId;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }

    public String getGh() {
        return gh;
    }

    public void setGh(String gh) {
        this.gh = gh;
    }


    public Date getJoinTime() {
        return joinTime;
    }

    public void setJoinTime(Date joinTime) {
        this.joinTime = joinTime;
    }

    public Long getDown() {
        return down;
    }

    public void setDown(Long down) {
        this.down = down;
    }

    public String getBranchName() {
        return branchName;
    }

    public void setBranchName(String branchName) {
        this.branchName = branchName;
    }

    public String getDownFlag() {
        return downFlag;
    }

    public void setDownFlag(String downFlag) {
        this.downFlag = downFlag;
    }

    public String getGuidFlag() {
        return guidFlag;
    }

    public void setGuidFlag(String guidFlag) {
        this.guidFlag = guidFlag;
    }

    public String getFaceFlag() {
        return faceFlag;
    }

    public void setFaceFlag(String faceFlag) {
        this.faceFlag = faceFlag;
    }

    public Long getBranchParent() {
        return branchParent;
    }

    public void setBranchParent(Long branchParent) {
        this.branchParent = branchParent;
    }

    public String getXfFlag() {
        return xfFlag;
    }

    public void setXfFlag(String xfFlag) {
        this.xfFlag = xfFlag;
    }

    public Double getCzje() {
        return czje;
    }

    public void setCzje(Double czje) {
        this.czje = czje;
    }

    public Double getBtje() {
        return btje;
    }

    public void setBtje(Double btje) {
        this.btje = btje;
    }

    public String[] getIds() {
        return ids;
    }

    public void setIds(String[] ids) {
        this.ids = ids;
    }

    public String getRechargeMode() {
        return rechargeMode;
    }

    public void setRechargeMode(String rechargeMode) {
        this.rechargeMode = rechargeMode;
    }

    public String getIsConsume() {
        return isConsume;
    }

    public void setIsConsume(String isConsume) {
        this.isConsume = isConsume;
    }


    public String getKhFlag() {
        return khFlag;
    }

    public void setKhFlag(String khFlag) {
        this.khFlag = khFlag;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public Long[] getPostIds() {
        return postIds;
    }

    public void setPostIds(Long[] postIds) {
        this.postIds = postIds;
    }

    public String getConsumeType() {
        return consumeType;
    }

    public void setConsumeType(String consumeType) {
        this.consumeType = consumeType;
    }

    public File getFile() {
        return file;
    }

    public void setFile(File file) {
        this.file = file;
    }

    public String getQwid() {
        return qwid;
    }

    public void setQwid(String qwid) {
        this.qwid = qwid;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("name", getName())
            .append("phone", getPhone())
            .append("sex", getSex())
            .append("avatar", getAvatar())
            .append("branchId", getBranchId())
            .append("position", getPosition())
            .append("idcard", getIdcard())
            .append("carNo", getCarNo())
            .append("doorNo", getDoorNo())
            .append("guid", getGuid())
            .append("faceGuid", getFaceGuid())
            .append("userId", getUserId())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
